<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);
$loca=$_POST['id'];
$munis = $mysqli->query("SELECT * FROM z_zonas WHERE localidad='$loca'");
$numerofilas =$munis->num_rows;
if($numerofilas>0){
$res='<select  class="form-control"  name="zona" title="zona">';
$res.='<option value="">Seleccione un zona</option>';
while($row2 = $munis->fetch_assoc()) { 
    $res.='<option value="'.$row2["id"].'">'.$row2["zona"].'</option>';
                    } 
$res.='</select>';
                    echo $res;} else{ echo '<input  class="form-control" type="text" name="zona"/>'; }
?>